> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Pipeline Steps Status

> Represents a single execution of a pipeline triggered from a step of another pipeline.



## OpenAPI

````yaml /openapi/public-api-endpoint-reference.yaml get /v1/projects/{projectId}/pipeline-executions/{pipelineExecutionId}/steps
openapi: 3.1.0
info:
  title: Maia Public REST API
  version: '1.0'
servers:
  - description: EU1
    url: https://eu1.api.matillion.com/dpc
  - description: US1
    url: https://us1.api.matillion.com/dpc
security:
  - bearerAuth: []
tags:
  - description: Manage Schedules
    name: Schedules
  - description: Manage Connections
    name: Connections
  - description: Operations for managing Project Variables
    name: Project Variables
  - description: Manage Pipelines
    name: Pipelines
  - description: Review pipelines against quality rules
    name: Pipeline Quality Review
  - description: Execute tests within a project
    name: Test Execution
  - description: Manage your AI agent tasks
    name: AI Agent Tasks
  - description: SCIM endpoints for user/group permission management
    name: Directory Integration
  - description: Publish shared pipeline artifacts
    name: Shared Pipeline Artifacts
  - description: Manage Repositories
    name: Repositories
  - description: Report on Credit Consumption
    name: Consumption
  - description: Manage Artifacts
    name: Artifacts
  - description: Operations for data lineage and governance
    name: Data Lineage
  - description: Manage Streaming Pipelines
    name: Streaming Pipelines
  - description: Execute a pipeline
    name: Pipeline Execution
  - description: ''
    name: Environments
  - description: ''
    name: Projects
  - description: Manage Agents
    name: Agents
  - description: Operations for managing Environment-level Overrides of Project Variables
    name: Project Variable Environment Overrides
  - description: Query audit events
    name: Audit Events
  - description: Connector Profiles
    name: Connectors
paths:
  /v1/projects/{projectId}/pipeline-executions/{pipelineExecutionId}/steps:
    get:
      tags:
        - Pipeline Execution
      summary: Pipeline Steps Status
      description: >-
        Represents a single execution of a pipeline triggered from a step of
        another pipeline.
      operationId: getDetailedExecutionStatus
      parameters:
        - in: path
          name: projectId
          required: true
          schema:
            type: string
        - in: path
          name: pipelineExecutionId
          required: true
          schema:
            type: string
            format: uuid
        - description: Page number (0-indexed)
          example: '0'
          in: query
          name: page
          schema: {}
        - description: Number of records per page (from 1 to 100)
          example: '25'
          in: query
          name: size
          schema: {}
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PagedResultListPipelineExecutionStepResult
          description: Pipeline status has been retrieved
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Wrong request parameters used
        '401':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unauthorized
        '403':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Forbidden
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Pipeline Execution not Found
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unexpected error occurred
        '504':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Gateway timeout
components:
  schemas:
    PagedResultListPipelineExecutionStepResult:
      type: object
      properties:
        page:
          type: integer
          format: int32
          description: The 0-indexed page number of the returned results.
          example: 1
        results:
          type: array
          description: Page of results or empty.
          items:
            $ref: '#/components/schemas/PipelineExecutionStepResult'
        size:
          type: integer
          format: int32
          description: The size of each page of results.
          example: 50
        total:
          type: integer
          format: int64
          description: Total number of available results across all pages.
          example: 472
    ProblemDetail:
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
        status:
          type: integer
          format: int32
        title:
          type: string
        type:
          type: string
          format: uri
        violations:
          type: array
          items:
            type: string
    PipelineExecutionStepResult:
      type: object
      properties:
        childPipeline:
          $ref: '#/components/schemas/ChildPipelineInfo'
          description: >-
            Represents a single execution of a pipeline triggered from a step of
            another pipeline.
        id:
          type: string
          description: Unique identifier for this step execution.
          example: b715b912-41fb-402c-ad3b-1807313670e8
        name:
          type: string
          description: >-
            The name of this step - usually the name of the component as written
            at design time.
          example: start
        result:
          $ref: '#/components/schemas/PipelineExecutionResult'
          description: Status of step
          example: SUCCESS
    ChildPipelineInfo:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for this step execution.
          example: b715b912-41fb-402c-ad3b-1807313670e3
        name:
          type: string
          description: >-
            The name of this step - usually the name of the component as written
            at design time.
          example: start
    PipelineExecutionResult:
      type: object
      properties:
        finishedAt:
          type: string
          format: date-time
          description: Time pipeline execution finished
        message:
          type: string
          description: Message returned by pipeline execution
          example: '"Rewrite Table": Success'
        startedAt:
          type: string
          format: date-time
          description: Time pipeline execution started
        status:
          type: string
          description: Status of executed pipeline
          example: RUNNING
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: a valid bearer token
      scheme: bearer
      type: http

````